$(document).ready(function () {

    //预备数据录入
    $("a[rel='setData']").click(function () {
        var obj = $(this);
        if (confirm("确定添加一些体验数据到 [ " + obj.attr("naviname") + " ] 吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Navi.ashx",
                data: { 'com': 'addpreliminarydata', 'naviid': obj.attr("href"), 'moduleid': obj.attr("moduleid") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("数据正在录入", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        location.href = obj.attr("url");
                    } else {
                        showMsg("数据正在录入", false);
                        alert("暂无体验数据录入!");
                        obj.text("体验数据");
                    }
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    })

    //删除栏目
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if ($delObject.attr("isparent") == "0") {
            if (confirm("确定删除 [ " + $delObject.attr("name") + " ] 吗？(子级;关联内容将都会被删除)")) {
                $.ajax({
                    type: "POST",
                    url: "Ajax/Navi.ashx",
                    data: { 'com': 'delnavi', 'naviid': $delObject.attr("id").replace('del-', ''), 'naviname': $delObject.attr("name"), 'navimodule': $delObject.attr("rev"), 'naviparent': $delObject.attr("href") },
                    datatype: "json",
                    beforeSend: function (data, textStatus) {
                        showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                    },
                    success: function (data, textStatus) {
                        if (data == "1") {
                            $delObject.parent().parent().parent("li").remove();
                        } else {
                            alert("删除失败!");
                        }
                        showMsg("", false);
                    },
                    error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
                })
            }
        } else {
            alert("请先删除属于 [" + $delObject.attr("name") + "] 下的子栏目,才能删除该栏目,如已删除下级，请刷新页面！")
        }
        return false;
    })

    //移动栏目位置
    $("a[rel='shift']").click(function () {
        //当前对象
        var $nowObject = $(this);
        $.ajax({
            type: "POST",
            url: "Ajax/Navi.ashx",
            data: { 'com': $nowObject.attr("type"), 'naviparent': $nowObject.attr("name"), 'objectid': $nowObject.attr("href"), 'orderid': $nowObject.attr("rev") },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                showMsg("正在移动中", true);
            },
            success: function (data, textStatus) {
                switch (data) {
                    case "0":
                        alert("更新失败");
                        break;
                    case "1":
                        location.reload();
                        break;
                    case "2":
                        if ($nowObject.attr("type") == "upward") {
                            alert("已经是最上了!");
                        } else {
                            alert("已经是最下了!");
                        }
                        break;
                }
                showMsg("", false);
            },
            error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
        })
        return false;
    })

})